Subject: Re: Cygwin/Apache with PHP CGI
From: Stipe Tolj <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 17 May 2002 13:47:11 +0200

Graeme Merrall wrote:
> 
> Sam, your mail keeps bouncing. It makes it hard to want to help you when
> you cannot be emailed.
> 
> Sam Edge wrote:
> > Instead I've downloaded the latest 4.2.0 Win32 native PHP ZIP file and
> > unzipped this into its own directory.
> 
> I have a patched version of PHP-4.2.0 (actually RC4) for Cygwin you can
> use.
> There's is no XML support which is a bit of a stumbling block so if
> anyone can give me a hint as to why I get this error compiling PHP
> against expat-1.95.2 I'd very very appreciative. I know about PHP, not
> compiling against Cygwin :)

yep, expat defines dllimport somewhere for the native Win32 port. This
has to be taken out in a !defined(__CYGWIN__) compile condition style.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/